@Echo off

REM Script to switch the locos for the TSW MW3/Raildriver interface by Gandalf & Wagener @ railsim-fr.com
REM Must be placed in C:\Users\<your Windows user name>\AppData\Local\PI Engineering\MacroWorks 3\MyScripts\RailDriver, together with the locos scripts

Title TSW Raildriver Interface Loco Selector

copy /Y "C:\Program Files (x86)\PI Engineering\MacroWorks 3.1\Devices\RailDriver\RD Calibration\controller\ModernCalibration.rdm" "C:\Users\%username%\AppData\Local\PI Engineering\MacroWorks 3\MyScripts\RailDriver"

:menu2
call :Blanc
cls
set ps=
set country=
ECHO.
ECHO.
ECHO  Select the country in which to drive with Train Sim World :
ECHO.
ECHO.
ECHO  (You can also directly give the name of the locomotive to drive) 
ECHO  (i.e. 43 -or 043- for Class 43)
ECHO.
ECHO.
ECHO  1) United Kingdom (UK) : ECW - GWE - NTP - TEE
ECHO.
ECHO  2) Germany (DE)        : RSN - MSB - RRO - RT - HRR
ECHO.
ECHO  3) United States  (US) : SFJ - CSX - NEC - LIRR
ECHO.
ECHO  4) Canada  (CA)        : OAK
ECHO.
ECHO.
Set /p country=Country or Loco name ('Return' or 0 to Quit) ? 
ECHO.

if "%Country%" == "" GOTO Quit
if %Country% == 0 GOTO Quit
IF %Country% == 1 GOTO UK
IF %Country% == 2 GOTO DE
IF %Country% == 3 GOTO US
IF "%Country%" == "004" GOTO Cab-Car_IV
IF %Country% == 4 GOTO Multi_Country_4

set input=%Country%
call :menu_loco2
goto menu2

:Multi_Country_4
ECHO. 
set Choix4=
ECHO  Two possible choices for answer '4' - Which Country or Loco do you want :
ECHO.
ECHO  1) Canada
ECHO  2) Ex-Metroliner Cab-Car IVb   - NEC  (New-York)
ECHO.

Set /p Choix4=Country or Loco Number: 1 or 2 - ('Return'=Canada or 0 to Quit) ? 
IF "%Choix4%" == "" set Choix4=1
IF %Choix4% == 0 goto menu2
IF %Choix4% == 1 goto CA
IF %Choix4% == 2 goto Cab-Car_IV
goto menu2

rem *********************************************

:UK

call :Blanc
goto menu2_UK

:menu_UK
Start "MW3" /B /D "C:\Program Files (x86)\PI Engineering\MacroWorks 3.1\" /MIN "C:\Program Files (x86)\PI Engineering\MacroWorks 3.1\MacroWorks 3 Launch.exe" > NUL 2>&1
TIMEOUT /T 2 > NUL 2>&1
:menu2_UK
set Input=
set ps=UK
cls
ECHO.
ECHO  Select the loco to drive in Great Britain in Train Sim World
ECHO.
ECHO.
ECHO  Give the loco number or its name (i.e. 43 -or 043- for Class 43) ---+
ECHO      .-----------+                                                   !
ECHO      v                                                               v
ECHO  %loco1% 1) Class 43-HST  - GWE (London Paddington)                    (043)
ECHO  %loco2% 2) Class 66      - GWE (London Paddington)                    (066)
ECHO  %loco3% 3) Class 166     - GWE (London Paddington)                    (166)
ECHO  %loco4% 4) Class 31      - Tees-Valley (Saltburn)                     (031)
ECHO  %loco5% 5) Class 37      - Tees-Valley (Saltburn)                     (037)
ECHO  %loco6% 6) Class 40      - NTP (Leeds)                                (040)
ECHO  %loco7% 7) Class 45      - NTP (Leeds)                                (045)
ECHO  %loco8% 8) Class 47      - NTP (Leeds)                                (047)
ECHO  %loco9% 9) Class 101     - NTP (Leeds)                                (101)
ECHO  %loco10% 10) Class 377    - ECW (Brighton)                             (377)
ECHO  %loco11% 11) Class 08     - WSR (Minehead)                             (008)
ECHO  %loco12% 12) Class 09     - WSR (Minehead)                             (009)
ECHO  %loco13% 13) Class 33     - WSR (Minehead)                             (033)
ECHO  %loco14% 14) Class 52     - WSR (Minehead)                             (052)
ECHO.
Set /p Input=Loco Number or Name ('Return' to Country choice or 0 to Quit) ? 
ECHO.

Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1

call :Blanc  

IF "%Input%" == "" GOTO Menu2
IF "%Input%" == "008" GOTO Class08
IF "%Input%" == "009" GOTO Class09
IF %Input% == 0 GOTO Quit
IF %Input% == 1 GOTO CLASS43
IF %Input% == 2 GOTO CLASS66
IF %Input% == 3 GOTO CLASS166
IF %Input% == 4 GOTO Multi_4
IF %Input% == 5 GOTO CLASS37
IF %Input% == 6 GOTO CLASS40
IF %Input% == 7 GOTO Multi_7
IF %Input% == 8 GOTO Multi_8
IF %Input% == 9 GOTO Multi_9
IF %Input% == 10 GOTO CLASS377
IF %Input% == 11 GOTO CLASS08
IF %Input% == 12 GOTO CLASS09
IF %Input% == 13 GOTO CLASS33
IF %Input% == 14 GOTO CLASS52

call :menu_loco

GOTO menu2_UK

:CLASS43
CLS
ECHO.
Copy /Y Script_210_53.CLASS43.mw3 Script_210_53.mw3
set loco1=***
ECHO.
ECHO  Raildriver ready for UK Class 43 HST!
ECHO.
GOTO menu_UK

:CLASS66
CLS
ECHO.
Copy /Y Script_210_53.CLASS66.mw3 Script_210_53.mw3
set loco2=***
ECHO.
ECHO  Raildriver ready for UK Class 66 !
ECHO.
GOTO menu_UK

:CLASS166
CLS
ECHO.
Copy /Y Script_210_53.CLASS166.mw3 Script_210_53.mw3
set loco3=***
ECHO.
ECHO  Raildriver ready for UK Class 166!
ECHO.
GOTO menu_UK

:CLASS31
CLS
ECHO.
Copy /Y Script_210_53.Class31.mw3 Script_210_53.mw3
set loco4=***
ECHO.
ECHO  Raildriver ready for UK Class 31!
ECHO.
GOTO menu_UK

:CLASS37
CLS
ECHO.
Copy /Y Script_210_53.Class37.mw3 Script_210_53.mw3
set loco5=***
ECHO.
ECHO  Raildriver ready for UK Class 37!
ECHO.
GOTO menu_UK

:CLASS40
CLS
ECHO.
Copy /Y Script_210_53.Class40.mw3 Script_210_53.mw3
set loco6=***
ECHO.
ECHO  Raildriver ready for UK Class 40!
ECHO.
GOTO menu_UK

:CLASS45
CLS
ECHO.
Copy /Y Script_210_53.Class45.mw3 Script_210_53.mw3
set loco7=***
ECHO.
ECHO  Raildriver ready for UK Class 45!
ECHO.
GOTO menu_UK

:CLASS47
CLS
ECHO.
Copy /Y Script_210_53.Class47.mw3 Script_210_53.mw3
set loco8=***
ECHO.
ECHO  Raildriver ready for UK Class 47!
ECHO.
GOTO menu_UK

:CLASS101
CLS
ECHO.
Copy /Y Script_210_53.Class101.mw3 Script_210_53.mw3
set loco9=***
ECHO.
ECHO  Raildriver ready for UK Class 101!
ECHO.
GOTO menu_UK

:CLASS377
CLS
ECHO.
Copy /Y Script_210_53.CLASS377.mw3 Script_210_53.mw3
set loco10=***
ECHO.
ECHO  Raildriver ready for UK Class 377!
ECHO.
GOTO menu_UK

:CLASS08
CLS
ECHO.
Copy /Y Script_210_53.Class08.mw3 Script_210_53.mw3
set loco11=***
ECHO.
ECHO  Raildriver ready for UK Class 08!
ECHO.
GOTO menu_UK

:CLASS09
CLS
ECHO.
Copy /Y Script_210_53.Class09.mw3 Script_210_53.mw3
set loco12=***
ECHO.
ECHO  Raildriver ready for UK Class 09!
ECHO.
GOTO menu_UK

:CLASS33
CLS
ECHO.
Copy /Y Script_210_53.Class33.mw3 Script_210_53.mw3
set loco13=***
ECHO.
ECHO  Raildriver ready for UK Class 33!
ECHO.
GOTO menu_UK

:CLASS52
CLS
ECHO.
Copy /Y Script_210_53.Class52.mw3 Script_210_53.mw3
set loco14=***
ECHO.
ECHO  Raildriver ready for UK Class 52!
ECHO.
GOTO menu_UK

rem *********************************************

:DE

call :Blanc
goto menu2_DE

:menu_DE
Start "MW3" /B /D "C:\Program Files (x86)\PI Engineering\MacroWorks 3.1\" /MIN "C:\Program Files (x86)\PI Engineering\MacroWorks 3.1\MacroWorks 3 Launch.exe" > NUL 2>&1
TIMEOUT /T 2 > NUL 2>&1
:menu2_DE
set Input=
set ps=DE
cls
ECHO.
ECHO  Select the loco to drive in Germany in Train Sim World
ECHO.
ECHO.
ECHO  Give the loco number or its name (i.e. 146 for BR 146.2) -----------------+
ECHO      .-----------+                                                         !
ECHO      v                                                                     v
ECHO  %loco1% 1) DB BR 143  - RSN(Hagen) MSB(Gemunden) RRO(Wuppertal) HRR(Bochum) (143)
ECHO  %loco2% 2) DB BR 146.2 - MSB (Gemunden) - RRO (Wuppertal) - HRR (Bochum)    (146)
ECHO  %loco3% 3) DB BR 155  - RSN(Hagen) MSB(Gemunden) RRO(Wuppertal) HRR(Bochum) (155)
ECHO  %loco4% 4) DB BR 182  - RSN(Hagen) MSB(Gemunden) RRO(Wuppertal) RT(Leipzig) (182)
ECHO  %loco5% 5) DB BR 185  - RSN(Hagen) MSB(Gemunden) RRO(Wuppertal) HRR(Bochum) (185)
ECHO  %loco6% 6) DB DBpbzfa - RSN(Hagen) MSB(Gemunden) RT(Leipzig) HRR(Bochum)    (766)
ECHO  %loco7% 7) DB pbzfa   - RSN(Hagen) - RT(Leipzig)                            (767)
ECHO  %loco8% 8) DB BR 422  - RRO (Wuppertal) - HRR (Bochum)                      (422)
ECHO  %loco9% 9) DB BR 425  - HRR (Bochum)                                        (425)
ECHO  %loco10% 10) DB BR 1442 - RT (Leipzig)                                      (1442)
ECHO  %loco11% 11) DB BR 204 - MSB (Gemunden)                                      (204)
ECHO.
Set /p Input=Loco Number or Name ('Return' to Country choice or 0 to Quit) ? 
ECHO.

Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1

call :Blanc

IF "%Input%" == "" GOTO Menu2
IF %Input% == 0 GOTO Quit
IF %Input% == 1 GOTO BR143
IF %Input% == 2 GOTO BR146
IF %Input% == 3 GOTO BR155
IF %Input% == 4 GOTO Multi_4
IF %Input% == 5 GOTO BR185
IF %Input% == 6 GOTO BR766
IF %Input% == 7 GOTO Multi_7
IF %Input% == 8 GOTO Multi_8
IF %Input% == 9 GOTO Multi_9
IF %Input% == 10 GOTO BR1442
IF %Input% == 11 GOTO BR204

call :menu_loco

GOTO menu2_DE

:BR143
CLS
ECHO.
Copy /Y Script_210_53.BR143.mw3 Script_210_53.mw3
set loco1=***
ECHO.
ECHO  Raildriver ready for DB BR 143!
ECHO.
GOTO menu_DE

:BR146
CLS
ECHO.
Copy /Y Script_210_53.BR146.mw3 Script_210_53.mw3
set loco2=***
ECHO.
ECHO  Raildriver ready for DB BR 146.2!
ECHO.
GOTO menu_DE

:BR155
CLS
ECHO.
Copy /Y Script_210_53.BR155.mw3 Script_210_53.mw3
set loco3=***
ECHO.
ECHO  Raildriver ready for DB BR 155!
ECHO.
GOTO menu_DE

:BR182
CLS
ECHO.
Copy /Y Script_210_53.BR182.mw3 Script_210_53.mw3
set loco4=***
ECHO.
ECHO  Raildriver ready for DB BR 182!
ECHO.
GOTO menu_DE

:BR185
CLS
ECHO.
Copy /Y Script_210_53.BR185.mw3 Script_210_53.mw3
set loco5=***
ECHO.
ECHO  Raildriver ready for DB BR 185.2!
ECHO.
GOTO menu_DE

:BR766
CLS
ECHO.
Copy /Y Script_210_53.DBpbzfa_BR766.mw3 Script_210_53.mw3
set loco6=***
ECHO.
ECHO  Raildriver ready for DB DBpbzfa!
ECHO.
GOTO menu_DE

:BR767
set input2=
CLS
ECHO.
Copy /Y Script_210_53.pbzfa_BR767.mw3 Script_210_53.mw3
set loco7=***
ECHO.
ECHO  Raildriver ready for DB pbzfa!
ECHO.
GOTO menu_DE

:BR422
CLS
ECHO.
Copy /Y Script_210_53.BR422.mw3 Script_210_53.mw3
set loco8=***
ECHO.
ECHO  Raildriver ready for DB BR422!
ECHO.
GOTO menu_DE

:BR425
CLS
ECHO.
Copy /Y Script_210_53.BR425.mw3 Script_210_53.mw3
set loco9=***
ECHO.
ECHO  Raildriver pret pour DB BR425!
ECHO.
GOTO menu_DE

:BR1442
CLS
ECHO.
Copy /Y Script_210_53.BR1442.mw3 Script_210_53.mw3
set loco10=***
ECHO.
ECHO  Raildriver ready for Talent2 1442-1!
ECHO.
GOTO menu_DE

:BR204
CLS
ECHO.
Copy /Y Script_210_53.BR204.mw3 Script_210_53.mw3
set loco11=***
ECHO.
ECHO  Raildriver ready for DB BR204!
ECHO.
GOTO menu_DE

rem *********************************************

:US

call :Blanc  
goto menu2_US

:menu_US
Start "MW3" /B /D "C:\Program Files (x86)\PI Engineering\MacroWorks 3.1\" /MIN "C:\Program Files (x86)\PI Engineering\MacroWorks 3.1\MacroWorks 3 Launch.exe" > NUL 2>&1
TIMEOUT /T 2 > NUL 2>&1
:menu2_US
set Input=
set ps=US
cls
ECHO.
ECHO  Select the loco to drive in the United States in Train Sim World
ECHO.
ECHO.
ECHO  Give the loco number or its name (i.e. 38 -or 038- for GP38-2) --------+
ECHO      .-----------+                                                      !
ECHO      v                                                                  v
ECHO  %loco1% 1) GP38-2    CSX (Cumberland)-NEC (New-York)-SFJ (San Francisco) (038)
ECHO  %loco2% 2) GP40-2    CSX (Cumberland) - NEC (New-York)                   (040)
ECHO  %loco3% 3) SD40-2    CSX (Cumberland) - NEC (New-York)                   (040)
ECHO  %loco4% 4) AC4400CW                   - CSX (Cumberland)                (4400)
ECHO  %loco5% 5) F40PH                      - SFJ (San Francisco)              (040)
ECHO  %loco6% 6) MP36PH (Baby-Bullet)       - SFJ (San Francisco)              (036)
ECHO  %loco7% 7) Gallery Cab-Car CT97       - SFJ (San Francisco)              (097)
ECHO  %loco8% 8) Cab-Car C197 (Baby-Bullet) - SFJ (San Francisco)              (197)
ECHO  %loco9% 9) MP15DC                     - SFJ (San Francisco)              (015)
ECHO  %loco10% 10) M7                        - LIRR (New-York)                  (007)
ECHO  %loco11% 11) ACS-64                    - NEC  (New-York)                  (064)
ECHO  %loco12% 12) ex-Metroliner Cab-Car IVb - NEC  (New-York)                  (004)
ECHO  %loco13% 13) SW1000R                   - NEC  (New-York)                 (1000)
ECHO.
Set /p Input=Loco Number or Name ('Return' to Country choice or 0 to Quit) ? 
ECHO.

Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1

call :Blanc

IF "%Input%" == "" GOTO Menu2
IF "%Input%" == "004" GOTO Cab-Car_IV
IF "%Input%" == "007" GOTO M7
IF %Input% == 0 GOTO Quit
IF %Input% == 1 GOTO GP38
IF %Input% == 2 GOTO GP40
IF %Input% == 3 GOTO SD40
IF %Input% == 4 GOTO Multi_4
IF %Input% == 5 GOTO F40PH
IF %Input% == 6 GOTO MP36PH
IF %Input% == 7 GOTO Multi_7
IF %Input% == 8 GOTO Multi_8
IF %Input% == 9 GOTO Multi_9
IF %Input% == 10 GOTO M7
IF %Input% == 11 GOTO ACS64
IF %Input% == 12 GOTO Cab-Car_IV
IF %Input% == 13 GOTO SW1000

call :menu_loco

GOTO menu2_US

:GP38
CLS
ECHO.
Copy /Y Script_210_53.GP38.mw3 Script_210_53.mw3
set loco1=***
ECHO.
ECHO  Raildriver ready for GP38-2!
ECHO.
GOTO menu_US

:GP40
CLS
ECHO.
Copy /Y Script_210_53.GP40.mw3 Script_210_53.mw3
set loco2=***
ECHO.
ECHO  Raildriver ready for GP40-2!
ECHO.
GOTO menu_US

:SD40
CLS
ECHO.
Copy /Y Script_210_53.SD40.mw3 Script_210_53.mw3
set loco3=***
ECHO.
ECHO  Raildriver ready for SD40-2!
ECHO.
GOTO menu_US

:AC4400
CLS
ECHO.
Copy /Y Script_210_53.AC4400.mw3 Script_210_53.mw3
set loco4=***
ECHO.
ECHO  Raildriver ready for AC4400CW!
ECHO.
GOTO menu_US

:F40PH
CLS
ECHO.
Copy /Y Script_210_53.F40PH.mw3 Script_210_53.mw3
set loco5=***
ECHO.
ECHO  Raildriver ready for F40PH!
ECHO.
GOTO menu_US

:MP36PH
CLS
ECHO.
Copy /Y Script_210_53.F40PH.mw3 Script_210_53.mw3
set loco6=***
ECHO.
ECHO.
ECHO  Raildriver ready for MP36PH (Baby-Bullet)!
ECHO. 
ECHO.
ECHO  *************************************
ECHO  *** WARNING : Loco not tested ... ***
ECHO  *** -------   Replaced by F40PH   ***
ECHO  *************************************
ECHO.
ECHO.
Pause
GOTO menu_US

:CT97
CLS
ECHO.
Copy /Y Script_210_53.CT97.mw3 Script_210_53.mw3
set loco7=***
ECHO.
ECHO  Raildriver ready for Cab-Car CT97!
ECHO.
GOTO menu_US

:C197
CLS
ECHO.
Copy /Y Script_210_53.CT97.mw3 Script_210_53.mw3
set loco8=***
ECHO.
ECHO  Raildriver ready for Cab-Car C197!
ECHO. 
ECHO.
ECHO  ******************************************
ECHO  *** WARNING : Loco not tested ...      ***
ECHO  *** -------   Replaced by Cab-Car CT97 ***
ECHO  ******************************************
ECHO.
ECHO.
Pause
GOTO menu_US

:MP15
CLS
ECHO.
Copy /Y Script_210_53.GP38.mw3 Script_210_53.mw3
set loco9=***
ECHO.
ECHO  Raildriver ready for MP15DC!
ECHO. 
ECHO.
ECHO  *************************************
ECHO  *** WARNING : Loco not tested ... ***
ECHO  *** -------   Replaced by GP38    ***
ECHO  *************************************
ECHO.
ECHO.
Pause
GOTO menu_US

:M7
CLS
ECHO.
Copy /Y Script_210_53.M7.mw3 Script_210_53.mw3
set loco10=***
ECHO.
ECHO  Raildriver ready for LIRR Bombardier M7!
ECHO.
GOTO menu_US

:ACS64
CLS
ECHO.
Copy /Y Script_210_53.ACS64.mw3 Script_210_53.mw3
set loco11=***
ECHO.
ECHO  Raildriver ready for ACS64!
ECHO.
GOTO menu_US

:Cab-Car_IV
CLS
ECHO.
Copy /Y Script_210_53.Cab-Car_IV.mw3 Script_210_53.mw3
set loco12=***
ECHO.
ECHO  Raildriver ready for ex-Metroliner Cab-Car IVb!
ECHO.
GOTO menu_US

:SW1000
CLS
ECHO.
Copy /Y Script_210_53.SW1000.mw3 Script_210_53.mw3
set loco13=***
ECHO.
ECHO  Raildriver ready for SW1000!
ECHO.
GOTO menu_US

rem *********************************************

:CA

call :Blanc
goto menu2_CA

:menu_CA
Start "MW3" /B /D "C:\Program Files (x86)\PI Engineering\MacroWorks 3.1\" /MIN "C:\Program Files (x86)\PI Engineering\MacroWorks 3.1\MacroWorks 3 Launch.exe" > NUL 2>&1
TIMEOUT /T 2 > NUL 2>&1
:menu2_CA
set Input=
set ps=CA
cls
ECHO.
ECHO  Select the loco to drive in Canada in Train Sim World
ECHO.
ECHO.
ECHO  Give the loco number or its name (i.e. 38 -or 038- for GP38-2) ----+
ECHO      .-----------+                                                  !
ECHO      v                                                              v
ECHO  %loco1% 1) GP38-2         - OAK (Hamilton)                           (038)
ECHO  %loco2% 2) GP9RM          - OAK (Hamilton)                           (009)
ECHO.
Set /p Input=Loco Number or Name ('Return' to Country choice or 0 to Quit) ? 
ECHO.

Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1

call :Blanc

IF "%Input%" == "" GOTO Menu2
IF "%Input%" == "009" GOTO GP9RM
IF %Input% == 0 GOTO Quit
IF %Input% == 1 GOTO GP38_CA
IF %Input% == 2 GOTO GP9RM

call :menu_loco

GOTO menu2_CA

:GP38_CA
CLS
ECHO.
Copy /Y Script_210_53.GP38.mw3 Script_210_53.mw3
set loco1=***
ECHO.
ECHO  Raildriver pret pour GP38-2!
ECHO.
GOTO menu_CA

:GP9RM
CLS
ECHO.
Copy /Y Script_210_53.GP38.mw3 Script_210_53.mw3
set loco2=***
ECHO.
ECHO  Raildriver ready for GP9RM!
ECHO. 
ECHO.
ECHO  *************************************
ECHO  *** WARNING : Loco not tested ... ***
ECHO  *** -------   Replaced by GP38-2  ***
ECHO  *************************************
ECHO.
ECHO.
Pause
GOTO menu_CA

rem *********************************************

:menu_loco
call :Blanc

IF "%Input%" == "004" GOTO Cab-Car_IV
IF %Input% == 4 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO Multi_4
IF %Input% == 004 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO Multi_4
:menu_loco2
IF "%Input%" == "004" GOTO Cab-Car_IV
IF "%Input%" == "007" GOTO M7
IF "%Input%" == "008" GOTO Class08
IF %Input% == 007 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO Multi_7
IF %Input% == 008 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO Multi_8
IF %Input% == 009 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO Multi_9
IF %Input% == 015 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO MP15
IF %Input% == 031 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS31
IF %Input% == 033 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS33
IF %Input% == 036 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO MP36PH
IF %Input% == 037 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS37
IF %Input% == 038 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO GP38
IF %Input% == 040 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO Multi_40
IF %Input% == 043 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS43
IF %Input% == 045 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS45
IF %Input% == 047 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS47
IF %Input% == 052 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS52
IF %Input% == 064 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO ACS64
IF %Input% == 066 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS66
IF %Input% == 097 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CT97
IF %Input% == 7 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO Multi_7
IF %Input% == 8 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO Multi_8
IF %Input% == 9 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO Multi_9
IF %Input% == 15 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO MP15
IF %Input% == 31 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS31
IF %Input% == 33 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS33
IF %Input% == 36 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO MP36PH
IF %Input% == 37 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS37
IF %Input% == 38 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO GP38
IF %Input% == 40 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO Multi_40
IF %Input% == 43 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS43
IF %Input% == 45 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS45
IF %Input% == 47 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS47
IF %Input% == 52 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS52
IF %Input% == 64 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO ACS64
IF %Input% == 66 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS66
IF %Input% == 97 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CT97
IF %Input% == 101 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS101
IF %Input% == 143 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO BR143
IF %Input% == 146 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO BR146
IF %Input% == 155 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO BR155
IF %Input% == 166 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS166
IF %Input% == 182 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO BR182
IF %Input% == 185 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO BR185
IF %Input% == 197 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO C197
IF %Input% == 377 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO CLASS377
IF %Input% == 422 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO BR422
IF %Input% == 425 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO BR425
IF %Input% == 766 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO BR766
IF %Input% == 767 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO BR767
IF %Input% == 1000 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO SW1000
IF %Input% == 1442 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO BR1442
IF %Input% == 4400 Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1 & GOTO AC4400

if "%ps%" == "" goto Country_Error
ECHO. 
TIMEOUT /T 1 > NUL 2>&1
ECHO. 
ECHO  ***
ECHO  *** Error: '%Input%' is neither a Number nor a Loco Name ...
ECHO  ***
ECHO.
TIMEOUT /T 5 > NUL 2>&1
if "%ps%" == "UK" goto menu2_UK
if "%ps%" == "DE" goto menu2_DE
if "%ps%" == "US" goto menu2_US
if "%ps%" == "CA" goto menu2_CA
goto menu2

:Country_Error
ECHO. 
TIMEOUT /T 1 > NUL 2>&1
ECHO. 
ECHO  ***
ECHO  *** Error: '%Input%' is neither a Country nor a Loco Name ...
ECHO  ***
ECHO.
TIMEOUT /T 5 > NUL 2>&1
goto menu2

rem **************************************************

:Multi_4
if "%ps%" == "" goto Cab-Car_IV
if "%ps%" == "004" goto Cab-Car_IV
if "%input%" == "004" goto Cab-Car_IV
ECHO. 
set Choix4=
ECHO  Two possible choices for answer '4' - Which loco do you want :
ECHO.
if "%ps%" == "UK" ECHO  1) Class 31                     UK    Tees-Valley (Saltburn))
if "%ps%" == "DE" ECHO  1) DB BR 182                    DE    RRO - RSN - MSB - RT
if "%ps%" == "US" ECHO  1) AC4400CW                     US    CSX (Cumberland)
ECHO  2) ex-Metroliner Cab-Car IVb    US    NEC (New-York)
ECHO.
if "%ps%" == "UK" Set /p Choix4=Loco Number : 1 or 2 - ('Return'=Class 31 or 0 to Quit) ? 
if "%ps%" == "DE" Set /p Choix4=Loco Number : 1 or 2 - ('Return'=BR 182 or 0 to Quit) ? 
if "%ps%" == "US" Set /p Choix4=Loco Number : 1 or 2 - ('Return'=AC4400CW or 0 to Quit) ? 
IF "%Choix4%" == "" set Choix4=1
IF %Choix4% == 0 goto menu2
IF NOT "%ps%" == "UK" goto DE4
IF %Choix4% == 1 goto CLASS31
goto menu2
:DE4
IF NOT "%ps%" == "DE" goto US4
IF %Choix4% == 1 goto BR182
goto menu2
:US4
IF %Choix4% == 1 goto AC4400
IF %Choix4% == 2 goto Cab-Car_IV
goto menu2

:Multi_7
if "%ps%" == "" goto M7
if "%ps%" == "007" goto M7
if "%input%" == "007" goto M7
ECHO. 
set Choix7=
ECHO  Two possible choices for answer '7' - Which loco do you want :
ECHO.
if "%ps%" == "UK" ECHO  1) Class 45    UK    NTP (Leeds)
if "%ps%" == "DE" ECHO  1) DB pbzfa    DE    RSN (Hagen) - RT (Leipzig)
if "%ps%" == "US" ECHO  1) M7          US    LIRR (New-York)
if NOT "%ps%" == "US" ECHO  2) M7          US    LIRR (New-York)
if "%ps%" == "US" ECHO  2) Gallery Cab-Car CT97   US    SFJ (San Francisco)
ECHO.
if "%ps%" == "UK" Set /p Choix7=Loco Number : 1 or 2 - ('Return'=Class 45 or 0 to Quit) ? 
if "%ps%" == "DE" Set /p Choix7=Loco Number : 1 or 2 - ('Return'=DB pbzfa or 0 to Quit) ? 
if "%ps%" == "US" Set /p Choix7=Loco Number : 1 or 2 - ('Return'=M7 or 0 to Quit) ?
IF "%Choix7%" == "" set Choix7=1
IF %Choix7% == 0 goto menu2
IF NOT "%ps%" == "UK" goto DE7
IF %Choix7% == 1 goto CLASS45
IF %Choix7% == 2 goto M7
goto menu2
:DE7
IF NOT "%ps%" == "DE" goto US7
IF %Choix7% == 1 goto BR767
IF %Choix7% == 2 goto M7
goto menu2
:US7
IF %Choix7% == 1 goto M7
IF %Choix7% == 2 goto CT97
goto menu2

:Multi_8
if "%ps%" == "" goto CLASS08
if "%ps%" == "008" goto CLASS08
if "%input%" == "008" goto CLASS08
ECHO. 
set Choix8=
ECHO  Two possible choices for answer '8' - Which loco do you want :
ECHO.
if "%ps%" == "UK" ECHO  1) Class 08                     UK      WSR (Minehead)
if "%ps%" == "UK" ECHO  2) Class 47                     UK      NTP (Leeds)
if "%ps%" == "DE" ECHO  1) DB BR 422                    DE      RRO (Wuppertal)
if "%ps%" == "US" ECHO  1) Cab-Car C197 (Baby-Bullet)   US    SFJ (San Francisco)
if NOT "%ps%" == "UK" ECHO  2) Class 08                     UK      WSR (Minehead)
ECHO.
if "%ps%" == "UK" Set /p Choix8=Loco Number : 1 or 2 - ('Return'=Class 08 or 0 to Quit) ? 
if "%ps%" == "DE" Set /p Choix8=Loco Number : 1 or 2 - ('Return'=BR 422 or 0 to Quit) ? 
if "%ps%" == "US" Set /p Choix8=Loco Number : 1 or 2 - ('Return'=Cab-Car C197 or 0 to Quit) ? 
IF "%Choix8%" == "" set Choix8=1
IF %Choix8% == 0 goto menu2
IF NOT "%ps%" == "UK" goto DE8
IF %Choix8% == 1 goto CLASS08
IF %Choix8% == 2 goto CLASS47
goto menu2
:DE8
IF NOT "%ps%" == "DE" goto US8
IF %Choix8% == 1 goto BR422
goto menu2
:US8
IF %Choix8% == 1 goto C197
goto menu2

:Multi_9
ECHO. 
set Choix9=
IF "%ps%" == "" ECHO  Two possible choices for answer '9' - Which loco do you want :
IF NOT "%ps%" == "" ECHO  Three possible choices for answer '9' - Which loco do you want :
ECHO.
if "%ps%" == "UK" ECHO  1) Class 101       UK      NTP (Leeds)
if "%ps%" == "DE" ECHO  1) DB BR 425       DE      HRR (Bochum)
if "%ps%" == "US" ECHO  1) MP15DC          US      SFJ (San Francisco)
if "%ps%" == "CA" ECHO  1) GP9RM           CA      OAK (Hamilton)
if "%ps%" == "" ECHO  1) Class 09        UK      WSR (Minehead)
if "%ps%" == "" ECHO  2) GP9RM           CA      OAK (Hamilton)
if NOT "%ps%" == "" ECHO  2) Class 09        UK      WSR (Minehead)
if NOT "%ps%" == "" ECHO  3) GP9RM           CA      OAK (Hamilton)
ECHO.
IF "%ps%" == "" Set /p Choix9=Loco Number : 1, or 2 - ('Return'=Class 09 or 0 to Quit) ? 
if "%ps%" == "UK" Set /p Choix9=Loco Number : 1, 2 or 3 - ('Return'=Class 101 or 0 to Quit) ? 
if "%ps%" == "DE" Set /p Choix9=Loco Number : 1, 2 or 3 - ('Return'=BR 425 or 0 to Quit) ? 
if "%ps%" == "US" Set /p Choix9=Loco Number : 1, 2 or 3 - ('Return'=MP15DC or 0 to Quit) ? 
if "%ps%" == "CA" Set /p Choix9=Loco Number : 1, 2 or 3 - ('Return'=GP9RM or 0 to Quit) ? 
IF "%Choix9%" == "" set Choix9=1
echo %Choix9%
IF "%Choix9%" == "0" goto menu2
IF NOT "%ps%" == "UK" goto DE9
IF %Choix9% == 1 goto CLASS101
IF %Choix9% == 2 goto CLASS09
IF %Choix9% == 3 goto GP9RM
goto menu2
:DE9
IF NOT "%ps%" == "DE" goto US9
IF %Choix9% == 1 goto BR425
IF %Choix9% == 2 goto CLASS09
IF %Choix9% == 3 goto GP9RM
goto menu2
:US9
IF NOT "%ps%" == "US" goto CA9
IF %Choix9% == 1 goto MP15
IF %Choix9% == 2 goto CLASS09
IF %Choix9% == 3 goto GP9RM
goto menu2
:CA9
IF NOT "%ps%" == "CA" goto vide9
IF %Choix9% == 1 goto GP9RM
IF %Choix9% == 2 goto CLASS09
IF %Choix9% == 3 goto GP9RM
goto menu2
:vide9
IF %Choix9% == 1 goto CLASS09
IF %Choix9% == 2 goto GP9RM
goto menu2

:Multi_40
ECHO. 
set Choix40=
if NOT "%ps%" == "UK" goto 40_2
ECHO  Four possible choices for answer '40' - Which loco do you want :
ECHO.
ECHO  1) Class 40   GB                        NTP (Leeds)
ECHO  2) F40PH      US                        SFJ (San Francisco)
ECHO  3) GP40-2     US     CSX (Cumberland) - NEC (New-York)
ECHO  4) SD40-2     US     CSX (Cumberland) - NEC (New-York)
ECHO.
Set /p Choix40=Loco Number : 1, 2, 3 or 4 - ('Return'=Class 40 or 0 to Quit) ? 
IF "%Choix40%" == "" set Choix40=1
IF %Choix40% == 0 goto menu2
IF %Choix40% == 1 goto CLASS40
IF %Choix40% == 2 goto F40PH
IF %Choix40% == 3 goto GP40
IF %Choix40% == 4 goto SD40
goto menu2
:40_2
ECHO  1) F40PH      US                        SFJ (San Francisco)
ECHO  2) GP40-2     US     CSX (Cumberland) - NEC (New-York)
ECHO  3) SD40-2     US     CSX (Cumberland) - NEC (New-York)
ECHO  4) Class 40   GB                        NTP (Leeds)
ECHO.
Set /p Choix40=Loco Number : 1, 2, 3 or 4 - ('Return'=F40PH or 0 to Quit) ? 
IF "%Choix40%" == "" set Choix40=1
IF %Choix40% == 0 goto menu2
IF %Choix40% == 1 goto F40PH
IF %Choix40% == 2 goto GP40
IF %Choix40% == 3 goto SD40
IF %Choix40% == 4 goto CLASS40
goto menu2

rem **************************************************

:Blanc
set loco1=   
set loco2=   
set loco3=   
set loco4=   
set loco5=   
set loco6=   
set loco7=   
set loco8=   
set loco9=   
set loco10=   
set loco11=   
set loco12=   
set loco13=   
set loco14=   
goto :eof

rem **************************************************

:Quit
ECHO.
ECHO.
ECHO. Thanks for using TSW Raildriver Interface!
ECHO. Gandalf @ https://railsim-fr.com
ECHO.
ECHO.
Copy /Y Script_210_53.000.mw3 Script_210_53.mw3
Start/WAIT "MW3" /B /D "C:\Program Files (x86)\PI Engineering\MacroWorks 3.1\" /MIN "C:\Program Files (x86)\PI Engineering\MacroWorks 3.1\MacroWorks 3 Launch.exe" > NUL 2>&1
Taskkill /f /im MacroWorks3r.exe /T > NUL 2>&1
ECHO.
EXIT